package com.gzlh.device.led.handler.impl;

import com.gzlh.device.infrared.brand.RedBrandType;
import com.gzlh.device.led.action.FengLiYuanCmdEnum;
import com.gzlh.device.led.action.LedAction;
import com.gzlh.device.led.brand.LedBrandType;
import com.gzlh.device.led.client.LedNettyConfig;
import com.gzlh.device.led.handler.ILedHandler;
import com.gzlh.device.led.utils.ColorConver;
import com.gzlh.device.led.utils.FengLiYuanPackage;
import com.gzlh.device.led.utils.YangBandPackage;
import com.gzlh.utils.WordHandlerUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 深圳市丰利源光电有限公司 led发送处理器
 */
@Service
@Slf4j
public class LedHandlerFengLiYuan implements ILedHandler {

    @Resource
    private LedNettyConfig ledNettyConfig;

    @Override
    public LedBrandType brandType() {
        return LedBrandType.FENGLIYUAN;
    }

    @Override
    public void sendMsg(String pack) {
        log.info(LedBrandType.FENGLIYUAN.getBrand() + "发送数据：{}", pack);
        ledNettyConfig.send(pack);
    }

    /**
     * 特殊站位符 ${platNo}
     * @param action
     */
    @Override
    public void handlerAction(String action) {
        String command=null;
        if (action.contains(LedAction.LED_SHOW_CONTENT)){
            command= FengLiYuanCmdEnum.TEMP.getCode();
            String content = action.substring(action.indexOf("(")+1, action.indexOf(")"));
            String data = FengLiYuanPackage.tempMsg("", "", "", "", "", content);
            String pack = FengLiYuanPackage.buildPackage(command,data);
            sendMsg(pack);
        }
        log.info("action:{}",action);
    }
}
